#!/usr/bin/env ruby

$LOAD_PATH.unshift '../lib/'
$LOAD_PATH.unshift '../../lib/'

require 'basicrdf'
require 'squish'
require 'dbi'

query=<<EOQ;
    SELECT ?this, ?that, 
    WHERE 
      (rdfs::seeAlso ?this ?that)
    USING
      rdfs for http://www.w3.org/2000/01/rdf-schema#

EOQ

  log=''
  dbi_driver = 'DBI:Pg:scutter1'
  dbi_user = 'danbri'
  dbi_pass =''
  q = SquishQuery.new.parseFromText (query)
  DBI.connect(  dbi_driver, dbi_user ,  dbi_pass ) do | dbh |
    dbh.select_all( q.toSQLQuery  ) do |row|
      row.each do |item|
        log += "   [ "+item.to_s+" ]   "
      end
      log += "\n"
    end
  end
  puts log
