#!/usr/bin/env ruby

$LOAD_PATH.unshift '../lib/'
$LOAD_PATH.unshift '../../lib/'

require 'basicrdf'
require 'squish'

def test_sqlgen
  gw = 'http://the.earth.li/~kake/cgi-bin/cgi-wiki/wiki.cgi?action=rss&feed=chef_moz&id='
  pubs=  [
      'Anchor_Bankside,_SE1_9EF',
      'Calthorpe_Arms,_WC1X_8JR',
      'Audley,_W1K_2RP',
      'Crosse_Keys,_EC3V_0DR',
      'Cittie_Of_Yorke,_WC1V_6BN',   # these last two not showing up :(
      'Counting_House,_EC3V_3PD'   ]
  res={}
  pubs.each do |pub|
    uri=gw+pub
    puts "\n\n###############################  #{uri} \n\n"
    data = Loader.get_rdf_from_uri gw+pub, gw+pub
    src='http://example.com/grubst:'+pub
    sql_inserts=data.toSQLInserts ("uri=#{src}")
    sql_inserts.each do |l|
      puts "DEBUG: #{l} "
    end
  end
end


test_sqlgen
