#!/usr/bin/env ruby

$LOAD_PATH.unshift '../lib/'
$LOAD_PATH.unshift '../../lib/'

require 'basicrdf'
require 'squish'
require 'dbi'

query=<<EOQ;
    SELECT ?uri, ?title, 
    WHERE 
      (dc::title ?uri ?title)
    USING
      dc for http://purl.org/dc/elements/1.1/

EOQ

  log=''
  dbi_driver = 'DBI:Pg:scutter1'
  dbi_user = 'danbri'
  dbi_pass =''
  q = SquishQuery.new.parseFromText (query)
  #  log += "|| title || uri || description ||\n"
  DBI.connect(  dbi_driver, dbi_user ,  dbi_pass ) do | dbh |
    dbh.select_all( q.toSQLQuery  ) do |row|
      row.each do |item|
        log += "   [ "+item.to_s+" ]   "
      end
      log += "\n"
    end
  end
  puts log
