#!/usr/bin/env ruby
#
# $Id: tiny.rb,v 1.3 2003/04/21 00:35:08 danbri Exp $
# A tiny RDF harvesting indexer
# usage: ./tiny.rb http://rdfweb.org/people/danbri/rdfweb/danbri-foaf.rdf

$LOAD_PATH.unshift '../../lib/' # use local dev't copy of library
require 'RDF4R/scutter'
require 'squish'

startpage = 'http://rdfweb.org/2003/02/a-z/az-scutterplan.rdf'
startpage = ARGV.shift if ARGV.length > 0
sink=SimpleSQLGraph.new('dbi_driver'=>'DBI:Pg:scutter1','dbi_user'=>'danbri')
bot = RDF4R::SimpleScutter.new startpage
bot.pagehandlers.push lambda {|s,data| puts sink.store_graph(data,s.uri)} 
bot.errorhandlers.push lambda {|e| puts "error: #{e}" }
bot.run

